"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculate = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
function resolveWixCoreservicesMetroinspectorV1MetroInspectorCalculatorServiceUrl(opts) {
    const domainToMappings = {
        'apps._base_domain_': [
            {
                srcPath: '/_api/metro-inspector',
                destPath: '/api',
            },
        ],
        'api._api_base_domain_': [
            {
                srcPath: '/metro-inspector',
                destPath: '',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/metro-inspector',
                destPath: '/api',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/metro-inspector',
                destPath: '',
            },
        ],
        'www.wixgateway.com': [
            {
                srcPath: '/_api/metro-inspector',
                destPath: '/api',
            },
        ],
        _: [
            {
                srcPath: '/_api/metro-inspector',
                destPath: '/api',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/_api/metro-inspector',
                destPath: '/api',
            },
            {
                srcPath: '/metro-inspector',
                destPath: '',
            },
        ],
    };
    return (0, rest_modules_1.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/echo_calculator';
function calculate(payload) {
    function __calculate({ host }) {
        const metadata = {
            entityFqdn: 'wix.metroinspector.v1.calculator',
            method: 'POST',
            methodFqn: 'wix.coreservices.metroinspector.v1.MetroInspectorCalculatorService.Calculate',
            packageName: PACKAGE_NAME,
            url: resolveWixCoreservicesMetroinspectorV1MetroInspectorCalculatorServiceUrl({
                protoPath: '/api/v1/calculate/{arg1}/{arg2}/{operation}',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __calculate;
}
exports.calculate = calculate;
//# sourceMappingURL=metroinspector-v1-calculator-calculator.http.js.map