export interface CalculateMessage {
    /** result of the calculation */
    number?: number;
    /** message comment from the operation */
    message?: string;
    /** fake entity id */
    _id?: string;
}
export interface CalculateRequest {
    /** 1st number to calculate */
    arg1: number;
    /** 2nd number to calculate */
    arg2: number;
    /** operation to perform */
    operation: CalculateOperation;
}
export declare enum CalculateOperation {
    UNDEFINED = "UNDEFINED",
    ADD = "ADD",
    SUBTRACT = "SUBTRACT"
}
export interface CalculateResponse {
    result?: CalculateMessage;
}
interface CalculateMessageNonNullableFields {
    number: number;
    message: string;
    _id: string;
}
export interface CalculateResponseNonNullableFields {
    result?: CalculateMessageNonNullableFields;
}
/** @public
 * @documentationMaturity preview
 * @requiredField identifiers
 * @requiredField identifiers.arg1
 * @requiredField identifiers.arg2
 * @requiredField identifiers.operation
 */
export declare function calculate(identifiers: CalculateIdentifiers): Promise<CalculateResponse & CalculateResponseNonNullableFields>;
export interface CalculateIdentifiers {
    /** 1st number to calculate */
    arg1: number;
    /** 2nd number to calculate */
    arg2: number;
    /** operation to perform */
    operation: CalculateOperation;
}
export {};
