"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculate = exports.CalculateOperation = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixMetroinspectorV1Calculator = __importStar(require("./metroinspector-v1-calculator-calculator.http"));
var CalculateOperation;
(function (CalculateOperation) {
    CalculateOperation["UNDEFINED"] = "UNDEFINED";
    CalculateOperation["ADD"] = "ADD";
    CalculateOperation["SUBTRACT"] = "SUBTRACT";
})(CalculateOperation || (exports.CalculateOperation = CalculateOperation = {}));
/** @public
 * @documentationMaturity preview
 * @requiredField identifiers
 * @requiredField identifiers.arg1
 * @requiredField identifiers.arg2
 * @requiredField identifiers.operation
 */
async function calculate(identifiers) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        arg1: identifiers?.arg1,
        arg2: identifiers?.arg2,
        operation: identifiers?.operation,
    });
    const reqOpts = ambassadorWixMetroinspectorV1Calculator.calculate(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                arg1: '$[0].arg1',
                arg2: '$[0].arg2',
                operation: '$[0].operation',
            },
            singleArgumentUnchanged: false,
        }, ['identifiers']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.calculate = calculate;
//# sourceMappingURL=metroinspector-v1-calculator-calculator.universal.js.map