import { transformError as sdkTransformError } from '@wix/sdk-runtime/transform-error';
import { renameKeysFromSDKRequestToRESTRequest, renameKeysFromRESTResponseToSDKResponse, } from '@wix/sdk-runtime/rename-all-nested-keys';
import * as ambassadorWixMetroinspectorV1Calculator from './metroinspector-v1-calculator-calculator.http';
export var CalculateOperation;
(function (CalculateOperation) {
    CalculateOperation["UNDEFINED"] = "UNDEFINED";
    CalculateOperation["ADD"] = "ADD";
    CalculateOperation["SUBTRACT"] = "SUBTRACT";
})(CalculateOperation || (CalculateOperation = {}));
/** @public
 * @documentationMaturity preview
 * @requiredField identifiers
 * @requiredField identifiers.arg1
 * @requiredField identifiers.arg2
 * @requiredField identifiers.operation
 */
export async function calculate(identifiers) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = renameKeysFromSDKRequestToRESTRequest({
        arg1: identifiers?.arg1,
        arg2: identifiers?.arg2,
        operation: identifiers?.operation,
    });
    const reqOpts = ambassadorWixMetroinspectorV1Calculator.calculate(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return renameKeysFromRESTResponseToSDKResponse(result.data);
    }
    catch (err) {
        const transformedError = sdkTransformError(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                arg1: '$[0].arg1',
                arg2: '$[0].arg2',
                operation: '$[0].operation',
            },
            singleArgumentUnchanged: false,
        }, ['identifiers']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
//# sourceMappingURL=metroinspector-v1-calculator-calculator.universal.js.map